<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'teacher')]
class Teacher {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Связанный пользователь
    #[ORM\OneToOne(User::class)]
    #[ORM\JoinColumn(nullable: false)]
    private User $user;

    // Связанный сотрудник
    #[ORM\ManyToOne(Employee::class)]
    private ?Employee $employee = null;
}