<?php
namespace BotKit\Events;

// Событие выхода пользователя из чата
// Пользователем здесь выступает тот, кто выходил из чата, не тот, кто
// удалил

use BotKit\Common\User;
use BotKit\Common\Chat;

class MemberLeftEvent extends Event {
    public function __construct(
        protected User $user,
        private Chat $chat
    ) {}

    public function getChat() : Chat {
        return $this->chat;
    }
}