<?php
// Кнопка клавиатуры
// Родительский класс - только для наследования

namespace BotKit\KeyboardButtons;

use BotKit\Enums\KeyboardButtonColor;

abstract class KeyboardButton {
	// Текст кнопки
	protected string $text;

	// Цвет кнопки
	protected $color;

	public function getText() {
		return $this->text;
	}

	public function getColor() {
		return $this->color;
	}
}