<?php

// Клавиатура с кнопками "Хочу" и "Пропустить"
// Необходима для выбора пользователя вводить логин и пароль от журнала или нет

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\CallbackButton;
use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

class AskEnterCredentialsKeyboard extends Keyboard {
	#region Драйвер-зависимые свойства
	public $tg_resize=true;
	public $tg_onetime=false;
	public $tg_specific=true;
	public $inline=true;
	#endregion

	public function __construct() {
		$this->layout =
		[
			[
				new CallbackButton(
					"Хочу",
					CallbackType::EnterCredentials,
					KeyboardButtonColor::Success,
					["enters" => 1]
				),
				new CallbackButton(
					"Пропустить",
					CallbackType::SelectGroupCourse,
					KeyboardButtonColor::Secondary,
					["enters" => 0]
				)
			]
		];
	}

	public static bool $cacheable = true;
}