<?php
namespace BotKit\Entities;

// Специальность групп

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'college_spec')]
class CollegeSpec {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Имя группы
    #[ORM\Column(type: 'string', length: 8)]
    private string $name;

    public function getID() {
        return $this->id;
    }

    public function getName() {
        return $this->name;
    }

    public function setName($name) {
        $this->name = $name;
    }
}