<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'image_cache')]
class ImageCache {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Тип изображения (оценки/расписание/...) 
    #[ORM\Column(type: 'integer')]
    private int $image_type;

    // Ключ
    #[ORM\Column(type: 'integer')]
    private int $search;

    // Значение
    #[ORM\Column(type: 'string', length: 64)]
    private string $value;
}