<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'schedule')]
class Schedule {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Группа, связанная с расписанием
    #[ManyToOne(CollegeGroup::class)]
    private CollegeGroup $group;

    // День расписания
    #[ORM\Column(type: 'date')]
    private \DateTime $day;
}