<?php
namespace BotKit\Events;

// Событие присоединения пользователя к чату
// Пользователем здесь выступает тот, кто присоединяется к чату, не тот, кто
// пригласил

use BotKit\Common\User;
use BotKit\Common\Chat;

class MemberJoinedEvent extends Event {
    public function __construct(
        protected User $user,
        private Chat $chat
    ) {}

    public function getChat() : Chat {
        return $this->chat;
    }
}