<?php
// Клавиатура показа условий использования

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\CallbackButton;
use BotKit\KeyboardButtons\PlainKeyboardButton;
use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

class HubKeyboard extends Keyboard {
	#region Драйвер-зависимые свойства
	public $tg_resize=true;
	public $tg_onetime=false;
	public $tg_specific=true;
	public $inline=false;
	#endregion

	public function __construct() {
		
		$this->layout =
		[
			[
				new PlainKeyboardButton("Расписание"),
				new PlainKeyboardButton("Оценки"),
				new PlainKeyboardButton("Что дальше")
			],
			[
				new PlainKeyboardButton("Где преподаватель"),
				new PlainKeyboardButton("Расписание группы"),
				new PlainKeyboardButton("Звонки")
			],
			[
				new PlainKeyboardButton("Профиль")
			]
		];
	}

	public static bool $cacheable = true;
}