<?php
// Клавиатура выбора типа аккаунта

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\PlainKeyboardButton;
use BotKit\KeyboardButtons\CallbackButton;
use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

class SelectUserTypeKeyboard extends Keyboard {

	public $inline=false;

	public function __construct() {
		
		$this->layout =
		[
			[
				new PlainKeyboardButton(
					"Я студент",
					KeyboardButtonColor::Primary
				),
				new PlainKeyboardButton(
					"Я преподаватель",
					KeyboardButtonColor::Primary,
				)
			]
		];
	}

	public static bool $cacheable = true;
}