<?php
// Клавиатура показа условий использования

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\CallbackButton;
use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

class TermsOfServiceKeyboard extends Keyboard {
	#region Драйвер-зависимые свойства
	public $tg_resize=true;
	public $tg_onetime=false;
	public $tg_specific=true;
	public $inline=true;
	#endregion

	public function __construct() {
		
		$this->layout =
		[
			[
				new CallbackButton(
					"Показать условия использования",
					CallbackType::TOS,
					KeyboardButtonColor::Primary
				)
			]
		];
	}

	public static bool $cacheable = true;
}